# -*- encoding: utf-8 -*-
# stub: webgen 1.7.3 ruby lib

Gem::Specification.new do |s|
  s.name = "webgen".freeze
  s.version = "1.7.3".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Thomas Leitner".freeze]
  s.date = "2024-01-01"
  s.description = "webgen is used to generate static websites from templates and content\nfiles (which can be written in a markup language). It can generate\ndynamic content like menus on the fly and comes with many powerful\nextensions.\n".freeze
  s.email = "t_leitner@gmx.at".freeze
  s.executables = ["webgen".freeze]
  s.extra_rdoc_files = ["API.rdoc".freeze]
  s.files = ["API.rdoc".freeze, "bin/webgen".freeze]
  s.homepage = "http://webgen.gettalong.org".freeze
  s.licenses = ["GPL".freeze]
  s.post_install_message = "\nThanks for choosing webgen! Here are some places to get you started:\n* The webgen User Documentation at <http://webgen.gettalong.org/documentation/>\n* The mailing list archive at <https://groups.google.com/forum/?fromgroups#!forum/webgen-users>\n* The webgen Wiki at <http://github.com/gettalong/webgen/wiki>\n\nHave a look at <http://webgen.gettalong.org/news.html> for a list of changes!\n\nHave fun!\n\n".freeze
  s.rdoc_options = ["--line-numbers".freeze, "--main".freeze, "API.rdoc".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.5.3".freeze
  s.summary = "webgen is a fast, powerful, and extensible static website generator.".freeze

  s.installed_by_version = "3.5.16".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<psych>.freeze, ["~> 5.1".freeze])
  s.add_runtime_dependency(%q<cmdparse>.freeze, ["~> 3.0".freeze, ">= 3.0.1".freeze])
  s.add_runtime_dependency(%q<systemu>.freeze, ["~> 2.5".freeze])
  s.add_runtime_dependency(%q<kramdown>.freeze, ["~> 2.3".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 0.8.3".freeze])
  s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0".freeze])
  s.add_development_dependency(%q<diff-lcs>.freeze, ["~> 1.0".freeze])
  s.add_development_dependency(%q<maruku>.freeze, ["~> 0.7".freeze])
  s.add_development_dependency(%q<RedCloth>.freeze, ["~> 4.1".freeze])
  s.add_development_dependency(%q<haml>.freeze, ["~> 5.0".freeze])
  s.add_development_dependency(%q<sass>.freeze, ["~> 3.2".freeze])
  s.add_development_dependency(%q<builder>.freeze, ["~> 2.1".freeze])
  s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.0".freeze])
  s.add_development_dependency(%q<coderay>.freeze, ["~> 1.0".freeze])
  s.add_development_dependency(%q<erubis>.freeze, ["~> 2.6".freeze])
  s.add_development_dependency(%q<rdiscount>.freeze, ["~> 1.3".freeze])
  s.add_development_dependency(%q<archive-tar-minitar>.freeze, ["~> 0.5".freeze])
  s.add_development_dependency(%q<cssminify>.freeze, ["~> 1.0".freeze])
end
